"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
const registration_1 = require("./component/registration");
const context_resolver_1 = require("./component/context-resolver");
class App {
    constructor(cfg, repository, signer) {
        this.cfg = cfg;
        this.repository = repository;
        this.signer = signer;
        this.registration = new registration_1.Registration(this);
        this.contextResolver = new context_resolver_1.ContextResolver(this);
    }
}
exports.App = App;
