import { Shop } from "../shop";
export declare class HttpClient {
    private shop;
    private storage;
    constructor(shop: Shop);
    get(url: string, headers?: object): Promise<HttpResponse>;
    post(url: string, json?: object, headers?: any): Promise<HttpResponse>;
    put(url: string, json?: object, headers?: any): Promise<HttpResponse>;
    patch(url: string, json?: object, headers?: any): Promise<HttpResponse>;
    delete(url: string, json?: object, headers?: any): Promise<HttpResponse>;
    private request;
    getToken(): Promise<string>;
}
export declare class HttpResponse {
    statusCode: number;
    body: any;
    headers: Headers;
    constructor(statusCode: number, body: any, headers: Headers);
}
