export declare const HTTP_OK = 200;
export interface Request {
    query: Map<string, string>;
    headers: Map<string, string>;
    body: string;
    method: string;
}
export declare class Response {
    statusCode: number;
    body: string;
    headers: Map<string, string>;
    constructor(statusCode: number, body?: string, headers?: Map<string, string>);
}
export declare class JsonResponse extends Response {
    statusCode: number;
    headers: Map<string, string>;
    constructor(statusCode: number, response: object, headers?: Map<string, string>);
}
