"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonResponse = exports.Response = exports.HTTP_OK = void 0;
exports.HTTP_OK = 200;
class Response {
    constructor(statusCode, body = '', headers = new Map()) {
        this.statusCode = statusCode;
        this.body = body;
        this.headers = headers;
    }
}
exports.Response = Response;
class JsonResponse extends Response {
    constructor(statusCode, response, headers = new Map()) {
        super(statusCode, JSON.stringify(response), headers);
        this.statusCode = statusCode;
        this.headers = headers;
        this.headers.set('content-type', 'application/json');
    }
}
exports.JsonResponse = JsonResponse;
