import { Registration } from "./component/registration";
import { HmacSigner } from "./component/signer";
import { Config } from "./config";
import { ShopRepository } from "./repository";
import { ContextResolver } from "./component/context-resolver";
export declare class App {
    cfg: Config;
    repository: ShopRepository;
    signer: HmacSigner;
    registration: Registration;
    contextResolver: ContextResolver;
    constructor(cfg: Config, repository: ShopRepository, signer: HmacSigner);
}
