import { App } from "../app";
import { Shop } from '../shop';
import { Request as AppRequest } from '../server';
import { HttpClient } from "./http-client";
export declare class ContextResolver {
    private app;
    constructor(app: App);
    fromSource(req: AppRequest): Promise<Context>;
    fromModule(req: AppRequest): Promise<Context>;
}
declare class Context {
    shop: Shop;
    payload: any;
    httpClient: HttpClient;
    constructor(shop: Shop, payload: any, httpClient: HttpClient);
}
export {};
