import { Shop } from "./shop";
export interface ShopRepository {
    createShop(shop: Shop): Promise<void>;
    getShopById(id: string): Promise<Shop | null>;
    updateShop(shop: Shop): Promise<void>;
    deleteShop(shop: Shop): Promise<void>;
}
export declare class InMemoryShopRepository implements ShopRepository {
    private storage;
    constructor();
    createShop(shop: Shop): Promise<void>;
    getShopById(id: string): Promise<Shop | null>;
    updateShop(shop: Shop): Promise<void>;
    deleteShop(shop: Shop): Promise<void>;
}
